function swd_sc = batch_comp_swd_sc( sdir,sCont, n_dist,n_theta, bTangent, bSmoothCont )

	fprintf('Compute all shape context ...............................\n\n');

	load(sCont);		% get 'mpeg7_cont'
	swd_sc	= cell(8,5);

	n_class		= 15;
	n_obj		= 75;

	for iC=1:n_class
		for iO=1:n_obj
			fn	= [sdir i2s(iC,2) '_' i2s(iO,3) 'bw.bmp'];
			im	= double(imread(fn));
			fprintf('Class %2d, Obj %2d, ', iC,iO);
			fg_mask		= double(im>.5);
			cont		= swd_cont{iC,iO};
		
			ifig		= -1;
			tic;
			[sc,V,E,dis_mat,ang_mat] = compu_contour_innerdist_SC( ...
											cont, fg_mask, ...
											n_dist, n_theta, bTangent, bSmoothCont,...
											ifig);
			n_time		= toc;	
			fprintf('|V|=%4d,   time=%5.2f\n', size(V,1), n_time);

			swd_sc{iC,iO}	= sc;

	% 		ssave		= [strtok(fn,'.') '_contsc.mat'];
	% 		save(ssave, 'sc','V','E','dis_mat','ang_mat');
			if 0
				figure(432); clf; hold on;
				plot(V(:,1),V(:,2),'k-');
				disp_graph(V,E);
				figure(434); clf; hold on;
				disp_schist(fg_mask,V,sc,n_dist,n_theta);			
				keyboard;
			end
		end
	end
